package cn.edu.whu.boot.collection.service;

import cn.edu.whu.boot.collection.domain.ExportMediaRecord;
import cn.edu.whu.boot.collection.domain.MultimediaItem;

import java.util.List;

public interface IMultimediaService {

    /**
     * 插入多媒体数据
     */
    String insertMultiMedia(MultimediaItem media);

    /**
     * 删除多媒体数据
     */
    String deleteMultiMedia(String mediaTableName , Long polygonId);

    /**
     * 删除历史多媒体表中大于等于某版本号的数据，
     */
    String deleteMulitMediaGreaterThanVersion(String mediaTableName , Long polygonId , int version);

    /**
     * 获取多媒体数据，针对于根表
     */
    List<MultimediaItem> selectMultiMedia(String mediaTableName , Long polygonId);

    /**
     * 获取多媒体数据，针对于历史表，故多出versionCode参数
     */
    List<MultimediaItem> selectHistoryMultiMedia(String mediaTableName , Long polygonId , int versionCode);

    List<ExportMediaRecord> selectByTaskIdAndTableName(int taskId, String tableName);
}
